运维管理/监控相关接口/通知服务相关接口
POSTNotification Service APIs起始版本 3.7.0同步需要认证
添加短信接收者
添加短信接收者
调试可用性
在线调试
使用当前认证信息和示例参数提交 Mock 请求。
请求参数
请求体字段
paramsObject必填请求体参数结构
phoneNumberString必填短信接收号码
endpointUuidString必填短信接收端Uuid
typeString必填短信接收端类型
descriptionString短信接收者描述
resourceUuidString资源UUID。若指定,资源会使用该字段值作为UUID。
tagUuidsList标签UUID列表
systemTagsList系统标签
userTagsList用户标签
响应状态
请求地址
POST/zstack/v1/sns/sms-endpoints/receivers
/zstack/v1/sns/sms-endpoints/receivers
请求示例
curl -X POST 'http://{host}/zstack/v1/sns/sms-endpoints/receivers' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"phoneNumber":"<phoneNumber>","endpointUuid":"<endpointUuid>","type":"<type>","description":"<description>","resourceUuid":"<resourceUuid>","tagUuids":["<tagUuids>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
响应示例
200{ "inventory": { "uuid": "fac44d00d50f41fda7c74b753ad4298e", "phoneNumber": "18912345678", "endpointUuid": "97c6a427da0e4c67ade85f488ddada53", "type": "AliyunSms", "description": "description", "createDate": "Mar 26, 2024 2:46:22 AM", "lastOpDate": "Mar 26, 2024 2:46:22 AM" } }变更历史
此 API 暂无变更历史记录。
